liblur3-0.9.905-13.1.i586.rpm


Advertisement

Description

liblur3 - Logitech Unifying Receiver configuration library

Property Value
Distribution openSUSE Tumbleweed
Repository Hardware all
Package filename liblur3-0.9.905-13.1.i586.rpm
Package name liblur3
Package version 0.9.905
Package release 13.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage https://github.com/libratbag/libratbag
License MIT
Maintainer -
Download size 32.16 KB
Installed size 60.16 KB
A library to configure and handle the /dev hidraw devices belonging
to the "Unifying" wireless receiver.

Alternatives

Package Version Architecture Repository
liblur3-0.9.905-13.1.x86_64.rpm 0.9.905 x86_64 Hardware
liblur3-0.9.905-1.1.x86_64.rpm 0.9.905 x86_64 openSUSE Oss
liblur3-0.9.905-1.1.i586.rpm 0.9.905 i586 openSUSE Oss
liblur3 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libm.so.6 -
libm.so.6(GLIBC_2.1) -
libudev.so.1 -
libudev.so.1(LIBUDEV_183) -

Provides

Name Value
liblur.so.3 -
liblur.so.3(LIBLUR_0.4.0) -
liblur3 = 0.9.905-13.1
liblur3(x86-32) = 0.9.905-13.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package liblur3-0.9.905-13.1.i586.rpm
Source Package libratbag-0.9.905-13.1.src.rpm

Install Howto

  1. Add the Hardware repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/hardware/openSUSE_Tumbleweed/ hardware
  2. Install liblur3 rpm package:
    # zypper install liblur3

Files

Path
/usr/lib/liblur.so.3
/usr/lib/liblur.so.3.0.3

Changelog

2019-03-31 - Matthias Bach <marix@marix.org>
- Dropped the no longer required build requirement python3-lxml.
2019-03-29 - Matthias Bach <marix@marix.org>
- Update to version 0.9.905:
* Added Devices:
+ Logitech G603
* Breaking changes in DBus API to move it towards a 1.0 release.
* SVG handling has been dropped.
* Ratbagctl interface changed:
* Device IDs or Device name matching is now used instead of
event nodes. Use `ratbagctl list` to see device IDs and
names.
* Device is now taken as the first argument.
* Ratbagctl is now case sensitive.
2019-01-30 - marix@marix.org
- Update to version 0.9.904:
* Added Devices:
+ Logitech G PowerPlay
+ Logitech G Pro
+ Logitech G402
+ Logitech G502 HERO
+ Logitech MX Anywhere 2
+ Logitech MX Anywhere 2S
+ Logitech MX Master 2S
+ Steelseries Rival 600
* Improved Devices:
+ All supported Roccat Devices
+ Logitech G102/203
+ Logitech G502
+ Logitech G600
+ Logitech G603
+ Logitech G903
+ Logitech MX Master
* Improved error messages provided by the command line tools.
2018-10-16 - opensuse-packaging@opensuse.org
- Update to version 0.9.903:
* Adds GetSvgFd() function on D-BUS required by Piper
* Add a --version commandline argument ratbagd
* Added support for the Steelseries Sensei Raw
* Added support for the Logitech G600
* Added support for the Logitech G302
2018-07-31 - marix@marix.org
- Drop rpmlint configuration as the D-Bus service of the package
has been whitelisted via bsc#1076467.
2018-07-28 - marix@marix.org
- Ensure that group games is present.
2018-07-27 - marix@marix.org
- Add install-daemon-into-sbindir-patch.patch: Installs ratbagd
into /usr/sbin as can only be run by root.
2018-07-10 - marix@marix.org
- Move the daemon into a separate subpackage as applications like
piper can use it without having the command line tools installed.
2018-07-05 - marix@marix.org
- Run tests as part of package build.
- Fix disabling of documentation build.
2018-07-05 - marix@marix.org
- Suppress the suse-dbus-unauthorized-service lintian error for
easier testing.

See Also

Package Description
libmisdn1-2.1.0-33.28.i586.rpm mISDN core library
libmisdn1-2.1.0-33.28.x86_64.rpm mISDN core library
libmodbus-devel-3.1.4-1.20.i586.rpm Development Files for Modbus Library
libmodbus-devel-3.1.4-1.20.x86_64.rpm Development Files for Modbus Library
libmodbus5-3.1.4-1.20.i586.rpm Modbus Library
libmodbus5-3.1.4-1.20.x86_64.rpm Modbus Library
libmraa2-2.0.0-34.2.i586.rpm Low Level Skeleton Library for IO Communication
libmraa2-2.0.0-34.2.x86_64.rpm Low Level Skeleton Library for IO Communication
libnfc-devel-1.7.1-29.26.i586.rpm Development files for the Near Field Communications library
libnfc-devel-1.7.1-29.26.x86_64.rpm Development files for the Near Field Communications library
libnfc-tools-1.7.1-29.26.i586.rpm Tools for Near Field Communication
libnfc-tools-1.7.1-29.26.x86_64.rpm Tools for Near Field Communication
libnfc5-1.7.1-29.26.i586.rpm Library for Near Field Communication
libnfc5-1.7.1-29.26.x86_64.rpm Library for Near Field Communication
libopenusb0-1.1.11-2.120.i586.rpm A multithread-safe variant of libusb
Advertisement
Advertisement